org.apache.hadoop.service.launcher

## Interface LauncherArguments

- All Known Implementing Classes:
    ServiceLauncher

      public interface LauncherArguments

  Standard launcher arguments. These are all from the `GenericOptionsParser`, simply extracted to constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARG_CONF` Name of the configuration argument on the CLI.
    `static String` | `ARG_CONF_PREFIXED` prefixed version of `ARG_CONF`.
    `static String` | `ARG_CONF_SHORT`
    `static String` | `ARG_CONFCLASS` Name of a configuration class which is loaded before any attempt is made to load the class.
    `static String` | `ARG_CONFCLASS_PREFIXED` Prefixed version of `ARG_CONFCLASS`.
    `static String` | `ARG_CONFCLASS_SHORT`
    `static String` | `E_PARSE_FAILED` Error string on a parse failure.

- - ### Field Detail

    - #### ARG_CONF

          static final String ARG_CONF

      Name of the configuration argument on the CLI. Value: "conf"
      See Also:
        Constant Field Values

    - #### ARG_CONF_SHORT

          static final String ARG_CONF_SHORT

      See Also:
        Constant Field Values

    - #### ARG_CONF_PREFIXED

          static final String ARG_CONF_PREFIXED

      prefixed version of `ARG_CONF`. Value: "--conf"
      See Also:
        Constant Field Values

    - #### ARG_CONFCLASS

          static final String ARG_CONFCLASS

      Name of a configuration class which is loaded before any attempt is made to load the class.

      Value: "hadoopconf"

      See Also:
        Constant Field Values

    - #### ARG_CONFCLASS_SHORT

          static final String ARG_CONFCLASS_SHORT

      See Also:
        Constant Field Values

    - #### ARG_CONFCLASS_PREFIXED

          static final String ARG_CONFCLASS_PREFIXED

      Prefixed version of `ARG_CONFCLASS`. Value: "--hadoopconf"
      See Also:
        Constant Field Values

    - #### E_PARSE_FAILED

          static final String E_PARSE_FAILED

      Error string on a parse failure. Value: "Failed to parse: "
      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.